GNU Radio 2.x: Templategr_nco< o_type, i_type > class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# gr_nco< o_type, i_type > Class Template Reference

`#include <gr_nco.h>`

List of all members.

## Detailed Description

### template<class o_type, class i_type>
class gr_nco< o_type, i_type >

base class template for Numerically Controlled Oscillator (NCO)

## Public Member Functions
| gr_nco ()
virtual | ~gr_nco ()
void | set_phase (float angle)
void | adjust_phase (float delta_phase)
void | set_freq (float angle_rate)
void | adjust_freq (float delta_angle_rate)
void | step ()
void | step (int n)
float | get_phase () const
float | get_freq () const
void | sincos (float *sinx, float *cosx) const
float | cos () const
float | sin () const
## Protected Attributes
float | phase
float | phase_inc

## Constructor & Destructor Documentation

template<class o_type, class i_type>
gr_nco< o_type, i_type >::gr_nco | ( |  | ) | `[inline]`

template<class o_type, class i_type>
virtual gr_nco< o_type, i_type >::~gr_nco | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::adjust_freq | ( | float | delta_angle_rate | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::adjust_phase | ( | float | delta_phase | ) | `[inline]`

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::cos | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::get_freq | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::get_phase | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::set_freq | ( | float | angle_rate | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::set_phase | ( | float | angle | ) | `[inline]`

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::sin | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::sincos | ( | float * | sinx,
|  | float * | cosx
| ) | const

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::step | ( | int | n | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::step | ( |  | ) | `[inline]`

## Member Data Documentation

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::phase`[protected]`

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::phase_inc`[protected]`

The documentation for this class was generated from the following file:

- gr_nco.h